Package com.google.android.exoplayer2.source.hls.playlist

## Interface HlsPlaylistTracker.Factory

- Enclosing interface:
    HlsPlaylistTracker

      public static interface HlsPlaylistTracker.Factory

  Factory for `HlsPlaylistTracker` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HlsPlaylistTracker` | `createTracker​(HlsDataSourceFactory dataSourceFactory, LoadErrorHandlingPolicy loadErrorHandlingPolicy, HlsPlaylistParserFactory playlistParserFactory)` | Creates a new tracker instance.

- - ### Method Detail

    - #### createTracker

          HlsPlaylistTracker createTracker​(HlsDataSourceFactory dataSourceFactory,
                                           LoadErrorHandlingPolicy loadErrorHandlingPolicy,
                                           HlsPlaylistParserFactory playlistParserFactory)

      Creates a new tracker instance.
      Parameters:
        `dataSourceFactory` - The `HlsDataSourceFactory` to use for playlist loading.
        `loadErrorHandlingPolicy` - The `LoadErrorHandlingPolicy` for playlist load errors.
        `playlistParserFactory` - The `HlsPlaylistParserFactory` for playlist parsing.